com.genesyslab.wfm7.API.service.config720

## Class CfgTimezone

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config720.CfgTimezone

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgTimezone
      extends java.lang.Object
      implements java.io.Serializable

  Time Zone information.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private int` | `gswTimezoneId` Associated Genesys Time Zone ID
    `private long` | `timestamp` A timestamp value -- marks time point when Object information was obtained
    `private java.lang.String` | `wmName` Time Zone Name
    `private CfgTimezoneBias[]` | `wmTimezoneBias` An array containing configured deviations (`CfgTimezoneBias`) from standard time zone bias (e.g.
    `private int` | `wmTimezoneBiasNSizeIs` Number of elements in wmTimezoneBias array
    `private int` | `wmTimezoneId` Time Zone ID
    `private int` | `wmValue` Time zone bias from GMT (in minutes)

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgTimezone()`
    `CfgTimezone(int wmTimezoneId, int gswTimezoneId, java.lang.String wmName, int wmValue, int wmTimezoneBiasNSizeIs, CfgTimezoneBias[] wmTimezoneBias, long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getGswTimezoneId()` Gets the gswTimezoneId value for this CfgTimezone.
    `long` | `getTimestamp()` Gets the timestamp value for this CfgTimezone.
    `java.lang.String` | `getWmName()` Gets the wmName value for this CfgTimezone.
    `CfgTimezoneBias[]` | `getWmTimezoneBias()` Gets the wmTimezoneBias value for this CfgTimezone.
    `int` | `getWmTimezoneBiasNSizeIs()` Gets the wmTimezoneBiasNSizeIs value for this CfgTimezone.
    `int` | `getWmTimezoneId()` Gets the wmTimezoneId value for this CfgTimezone.
    `int` | `getWmValue()` Gets the wmValue value for this CfgTimezone.
    `int` | `hashCode()`
    `void` | `setGswTimezoneId(int gswTimezoneId)` Sets the gswTimezoneId value for this CfgTimezone.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this CfgTimezone.
    `void` | `setWmName(java.lang.String wmName)` Sets the wmName value for this CfgTimezone.
    `void` | `setWmTimezoneBias(CfgTimezoneBias[] wmTimezoneBias)` Sets the wmTimezoneBias value for this CfgTimezone.
    `void` | `setWmTimezoneBiasNSizeIs(int wmTimezoneBiasNSizeIs)` Sets the wmTimezoneBiasNSizeIs value for this CfgTimezone.
    `void` | `setWmTimezoneId(int wmTimezoneId)` Sets the wmTimezoneId value for this CfgTimezone.
    `void` | `setWmValue(int wmValue)` Sets the wmValue value for this CfgTimezone.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmTimezoneId

          private int wmTimezoneId

      Time Zone ID

    - #### gswTimezoneId

          private int gswTimezoneId

      Associated Genesys Time Zone ID

    - #### wmName

          private java.lang.String wmName

      Time Zone Name

    - #### wmValue

          private int wmValue

      Time zone bias from GMT (in minutes)

    - #### wmTimezoneBiasNSizeIs

          private int wmTimezoneBiasNSizeIs

      Number of elements in wmTimezoneBias array

    - #### wmTimezoneBias

          private CfgTimezoneBias[] wmTimezoneBias

      An array containing configured deviations (`CfgTimezoneBias`) from standard time zone bias (e.g. DST)

    - #### timestamp

          private long timestamp

      A timestamp value -- marks time point when Object information was obtained

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CfgTimezone

          public CfgTimezone()

    - #### CfgTimezone

          public CfgTimezone(int wmTimezoneId,
                     int gswTimezoneId,
                     java.lang.String wmName,
                     int wmValue,
                     int wmTimezoneBiasNSizeIs,
                     CfgTimezoneBias[] wmTimezoneBias,
                     long timestamp)

  - ### Method Detail

    - #### getWmTimezoneId

          public int getWmTimezoneId()

      Gets the wmTimezoneId value for this CfgTimezone.
      Returns:
        wmTimezoneId

    - #### setWmTimezoneId

          public void setWmTimezoneId(int wmTimezoneId)

      Sets the wmTimezoneId value for this CfgTimezone.
      Parameters:
        `wmTimezoneId` -

    - #### getGswTimezoneId

          public int getGswTimezoneId()

      Gets the gswTimezoneId value for this CfgTimezone.
      Returns:
        gswTimezoneId

    - #### setGswTimezoneId

          public void setGswTimezoneId(int gswTimezoneId)

      Sets the gswTimezoneId value for this CfgTimezone.
      Parameters:
        `gswTimezoneId` -

    - #### getWmName

          public java.lang.String getWmName()

      Gets the wmName value for this CfgTimezone.
      Returns:
        wmName

    - #### setWmName

          public void setWmName(java.lang.String wmName)

      Sets the wmName value for this CfgTimezone.
      Parameters:
        `wmName` -

    - #### getWmValue

          public int getWmValue()

      Gets the wmValue value for this CfgTimezone.
      Returns:
        wmValue

    - #### setWmValue

          public void setWmValue(int wmValue)

      Sets the wmValue value for this CfgTimezone.
      Parameters:
        `wmValue` -

    - #### getWmTimezoneBiasNSizeIs

          public int getWmTimezoneBiasNSizeIs()

      Gets the wmTimezoneBiasNSizeIs value for this CfgTimezone.
      Returns:
        wmTimezoneBiasNSizeIs

    - #### setWmTimezoneBiasNSizeIs

          public void setWmTimezoneBiasNSizeIs(int wmTimezoneBiasNSizeIs)

      Sets the wmTimezoneBiasNSizeIs value for this CfgTimezone.
      Parameters:
        `wmTimezoneBiasNSizeIs` -

    - #### getWmTimezoneBias

          public CfgTimezoneBias[] getWmTimezoneBias()

      Gets the wmTimezoneBias value for this CfgTimezone.
      Returns:
        wmTimezoneBias

    - #### setWmTimezoneBias

          public void setWmTimezoneBias(CfgTimezoneBias[] wmTimezoneBias)

      Sets the wmTimezoneBias value for this CfgTimezone.
      Parameters:
        `wmTimezoneBias` -

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this CfgTimezone.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this CfgTimezone.
      Parameters:
        `timestamp` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.